public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-irc/anope/
Date: Mon, 23 Sep 2019 08:07:43 +0000 (UTC)	[thread overview]
Message-ID: <1569226029.28efa0d0e545b62d35f361670ea3c07d6ccdcd6e.mgorny@gentoo> (raw)

commit:     28efa0d0e545b62d35f361670ea3c07d6ccdcd6e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 23 07:26:53 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Sep 23 08:07:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28efa0d0

net-irc/anope: Improve USE flag naming

Kill meaningless 'anope_modules_' prefix from flags, and replace
underscores with hyphens.

Closes: https://bugs.gentoo.org/695170
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-irc/anope/anope-2.0.6.ebuild | 65 ++++++++++++++++++++--------------------
 net-irc/anope/metadata.xml       | 18 +++++------
 2 files changed, 41 insertions(+), 42 deletions(-)

diff --git a/net-irc/anope/anope-2.0.6.ebuild b/net-irc/anope/anope-2.0.6.ebuild
index aba8b1f9d11..1cf036e12d8 100644
--- a/net-irc/anope/anope-2.0.6.ebuild
+++ b/net-irc/anope/anope-2.0.6.ebuild
@@ -12,21 +12,20 @@ SRC_URI="https://github.com/anope/anope/releases/download/${PV}/${P}-source.tar.
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="mysql sqlite pcre posix gnutls ssl tre ldap anope_modules_sql_auth
-	anope_modules_sql_log anope_modules_sql_oper anope_modules_ldap_auth
-	anope_modules_ldap_oper anope_modules_irc2sql anope_modules_chanstats
-	anope_modules_cs_fantasy_stats anope_modules_cs_fantasy_top"
+IUSE="chanstats cs-fantasy-stats cs-fantasy-top gnutls irc2sql ldap
+	ldap-auth ldap-oper mysql pcre posix sql-auth sql-log sql-oper
+	sqlite ssl tre"
 
 REQUIRED_USE="
-	anope_modules_sql_auth? ( || ( mysql sqlite ) )
-	anope_modules_sql_oper? ( mysql )
-	anope_modules_sql_log? ( mysql )
-	anope_modules_cs_fantasy_stats? ( anope_modules_chanstats mysql )
-	anope_modules_cs_fantasy_top? ( anope_modules_chanstats mysql )
-	anope_modules_chanstats? ( mysql )
-	anope_modules_irc2sql? ( mysql )
-	anope_modules_ldap_auth? ( ldap )
-	anope_modules_ldap_oper? ( ldap )"
+	chanstats? ( mysql )
+	cs-fantasy-stats? ( chanstats mysql )
+	cs-fantasy-top? ( chanstats mysql )
+	irc2sql? ( mysql )
+	ldap-auth? ( ldap )
+	ldap-oper? ( ldap )
+	sql-auth? ( || ( mysql sqlite ) )
+	sql-log? ( mysql )
+	sql-oper? ( mysql )"
 
 BDEPEND="sys-devel/gettext"
 DEPEND="${BDEPEND}
@@ -75,26 +74,26 @@ src_prepare() {
 		fi
 	}
 
-	anope_use_extra mysql					"m_mysql.cpp"
-	anope_use_extra sqlite					"m_sqlite.cpp"
-	anope_use_extra ssl					"m_ssl_openssl.cpp"
-	anope_use_extra gnutls					"m_ssl_gnutls.cpp"
-	anope_use_extra posix					"m_regex_posix.cpp"
-	anope_use_extra pcre					"m_regex_pcre.cpp"
-	anope_use_extra tre					"m_regex_tre.cpp"
-	anope_use_extra ldap					"m_ldap.cpp"
-	anope_use_extra anope_modules_sql_auth			"m_sql_authentication.cpp"
-	anope_use_extra anope_modules_sql_log			"m_sql_log.cpp"
-	anope_use_extra anope_modules_sql_oper			"m_sql_oper.cpp"
-	anope_use_extra anope_modules_ldap_auth			"m_ldap_authentication.cpp"
-	anope_use_extra anope_modules_ldap_oper			"m_ldap_oper.cpp"
-	anope_use_extra anope_modules_chanstats			"stats/m_chanstats.cpp"
-	anope_use_extra anope_modules_cs_fantasy_top		"stats/cs_fantasy_top.cpp"
-	anope_use_extra anope_modules_cs_fantasy_stats		"stats/cs_fantasy_stats.cpp"
-	anope_use_extra anope_modules_irc2sql			"stats/irc2sql/irc2sql.cpp"
-	anope_use_extra anope_modules_irc2sql			"stats/irc2sql/irc2sql.h"
-	anope_use_extra anope_modules_irc2sql			"stats/irc2sql/tables.cpp"
-	anope_use_extra anope_modules_irc2sql			"stats/irc2sql/utils.cpp"
+	anope_use_extra mysql			"m_mysql.cpp"
+	anope_use_extra sqlite			"m_sqlite.cpp"
+	anope_use_extra ssl			"m_ssl_openssl.cpp"
+	anope_use_extra gnutls			"m_ssl_gnutls.cpp"
+	anope_use_extra posix			"m_regex_posix.cpp"
+	anope_use_extra pcre			"m_regex_pcre.cpp"
+	anope_use_extra tre			"m_regex_tre.cpp"
+	anope_use_extra ldap			"m_ldap.cpp"
+	anope_use_extra sql-auth		"m_sql_authentication.cpp"
+	anope_use_extra sql-log			"m_sql_log.cpp"
+	anope_use_extra sql-oper		"m_sql_oper.cpp"
+	anope_use_extra ldap-auth		"m_ldap_authentication.cpp"
+	anope_use_extra ldap-oper		"m_ldap_oper.cpp"
+	anope_use_extra chanstats		"stats/m_chanstats.cpp"
+	anope_use_extra cs-fantasy-top		"stats/cs_fantasy_top.cpp"
+	anope_use_extra cs-fantasy-stats	"stats/cs_fantasy_stats.cpp"
+	anope_use_extra irc2sql			"stats/irc2sql/irc2sql.cpp"
+	anope_use_extra irc2sql			"stats/irc2sql/irc2sql.h"
+	anope_use_extra irc2sql			"stats/irc2sql/tables.cpp"
+	anope_use_extra irc2sql			"stats/irc2sql/utils.cpp"
 
 	# Avoid a silly sandbox error - tries to delete /usr/lib/modules
 	sed -i '/install.*REMOVE_RECURSE.*/d' CMakeLists.txt || die

diff --git a/net-irc/anope/metadata.xml b/net-irc/anope/metadata.xml
index 078496567f2..ddb7e3c5b20 100644
--- a/net-irc/anope/metadata.xml
+++ b/net-irc/anope/metadata.xml
@@ -8,16 +8,16 @@
 		<remote-id type="github">anope/anope</remote-id>
 	</upstream>
 	<use>
-		<flag name="anope_modules_sql_auth">Authorize through SQL</flag>
-		<flag name="anope_modules_sql_log">Additional log target in SQL</flag>
-		<flag name="anope_modules_sql_oper">Allows granting users services operator privileges from SQL</flag>
-		<flag name="anope_modules_ldap_auth">Authorize through LDAP</flag>
-		<flag name="anope_modules_ldap_oper">Dynamically ties users to Anope opertypes via LDAP</flag>
-		<flag name="anope_modules_irc2sql">Stores channel statistics in a mysql database</flag>
-		<flag name="anope_modules_chanstats">Channel Statistics</flag>
-		<flag name="anope_modules_cs_fantasy_stats">Enables the STATS and GSTATS commands</flag>
-		<flag name="anope_modules_cs_fantasy_top">Enables the (G)TOP and  (G)TOP10 commands</flag>
+		<flag name="chanstats">Channel Statistics</flag>
+		<flag name="cs-fantasy-stats">Enables the STATS and GSTATS commands</flag>
+		<flag name="cs-fantasy-top">Enables the (G)TOP and  (G)TOP10 commands</flag>
+		<flag name="irc2sql">Stores channel statistics in a mysql database</flag>
+		<flag name="ldap-auth">Authorize through LDAP</flag>
+		<flag name="ldap-oper">Dynamically ties users to Anope opertypes via LDAP</flag>
 		<flag name="posix">Add support for POSIX Compatible Regular Expressions</flag>
+		<flag name="sql-auth">Authorize through SQL</flag>
+		<flag name="sql-log">Additional log target in SQL</flag>
+		<flag name="sql-oper">Allows granting users services operator privileges from SQL</flag>
 		<flag name="ssl">Provide SSL services using OpenSSL</flag>
 		<flag name="tre">Use <pkg>dev-libs/tre</pkg> for regular expressions</flag>
 	</use>


             reply	other threads:[~2019-09-23  8:07 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-09-23  8:07 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-25  4:49 [gentoo-commits] repo/gentoo:master commit in: net-irc/anope/ Sam James
2023-08-07  5:06 Sam James
2023-07-15  6:08 Sam James
2023-07-15  3:10 Sam James
2023-07-13  6:53 Sam James
2023-07-13  6:53 Sam James
2023-06-09 13:40 Sam James
2022-09-23  1:35 Sam James
2022-05-28 16:07 Jakov Smolić
2022-05-28 10:03 Jakov Smolić
2022-05-28 10:03 Jakov Smolić
2022-05-28 10:02 Jakov Smolić
2022-04-23  1:53 Sam James
2022-03-23  0:45 Sam James
2022-02-25 20:53 Sam James
2022-01-01 11:07 Sam James
2022-01-01  9:38 Sam James
2021-09-12 23:00 Sam James
2021-09-12 23:00 Sam James
2021-08-09 22:21 Sam James
2020-12-20  6:29 Sam James
2020-12-16 20:34 Sam James
2020-10-24  6:39 Sam James
2020-10-12 20:05 Sam James
2020-08-30  5:44 Sam James
2020-07-08 20:50 Sam James
2020-06-06 18:01 Michał Górny
2020-05-13 11:31 Agostino Sarubbo
2020-05-13 11:27 Agostino Sarubbo
2020-05-08  6:25 Mart Raudsepp
2020-05-05 13:07 Thomas Deutschmann
2019-08-11 11:20 David Seifert
2018-03-13 11:59 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1569226029.28efa0d0e545b62d35f361670ea3c07d6ccdcd6e.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox